Patch user

Updates an existing user resource, overwriting values for specified attributes. Attributes that are not provided will remain unchanged. PATCH operation only updates the fields provided.

Note: If the user is not a member in the organization, they cannot be updated. Additionally, users with guest role in the organization cannot be updated.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

User ID. A server-assigned, unique identifier for this user.

Body Params

Payload to update user information.

The body of a PATCH request must contain the attribute Operations, and its value is an array of one or more PATCH operations. Each PATCH operation object must have exactly one "op" member.

schemas
array of strings
required

Identifies which schema(s) this resource used. In this case, identifies the request as a SCIM PatchOp.

schemas*
Allowed:
Operations
array of objects
required

A list of patch operations.


Updating the user to deactivated/reactivated,
{ "op": "Replace", "path": "active", "value": "true/false" } must be provided in the Operations array.

Renaming the user,
{ "op": "Replace", "path": "displayName", "value": "New displayName" } must be provided in the Operations array.

Upgrading userType (license) to Full,
{ "op": "Replace", "path": "userType", "value": "Full" } must be provided in the Operations array. Note that userType (license) cannot be downgraded using this operation.

Updating userName of the user,
{ "op": "Replace", "path": "userName", "value": "[email protected]" } must be provided in the Operations array.

Updating userRole of the user, { "op": "Replace",
"path": "roles[primary eq true].value", "value": "ORGANIZATION_INTERNAL_ADMIN" must be provided in the Operations array. Note that ORGANIZATION_INTERNAL_ADMIN and ORGANIZATION_INTERNAL_USER are the only supported primary user roles and guest roles are not supported.

Adding an admin role,
{ "op": "Add", "path": "roles", "value": [{"value": "Content Admin", "type": "organization_admin_role", "primary": false}]} must be provided in the Operations array.

Removing an admin role,
{ "op": "Remove", "path":"roles[value eq "Content Admin"]" } must be provided in the Operations array.

Updating department of the user,
{ "op": "Replace", "path": "urn:ietf:params:scim:schemas:extension:enterprise:2.0:User:department", "value": "IT" } must be provided in the Operations array. Similarly, attributes such as employeeNumber, costCentre, organization, division, manager (displayName and value) can also be updated.

Operations*
Headers
string
enum
Defaults to application/scim+json

Generated from available response content types

Allowed:
string
enum
Defaults to application/scim+json

Generated from available request content types

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/scim+json
application/json